Search for inventories
curl --request POST \
--url https://api.fabric.inc/v3/inventories/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": [
"3173*",
"45213"
]
}
],
"sort": "-inventory.createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/inventories/search"
payload = {
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": ["3173*", "45213"]
}
],
"sort": "-inventory.createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [
{condition: 'EQ', field: 'inventory.sku', value: '*V3'},
{condition: 'IN', field: 'inventory.locationNumber', values: ['3173*', '45213']}
],
sort: '-inventory.createdAt'
})
};
fetch('https://api.fabric.inc/v3/inventories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/inventories/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'condition' => 'EQ',
'field' => 'inventory.sku',
'value' => '*V3'
],
[
'condition' => 'IN',
'field' => 'inventory.locationNumber',
'values' => [
'3173*',
'45213'
]
]
],
'sort' => '-inventory.createdAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/inventories/search"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/inventories/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/inventories/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"channelId": "channel_xyz",
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"createdAt": "2022-08-01T18:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"inventoryId": "723910d81723",
"isNoStock": false,
"itemId": 12345,
"leadTime": "5 days",
"locationNumber": 12345,
"lowStock": 10,
"networkCode": "ShipToHome",
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"sku": "SKU1",
"status": " IN_STOCK",
"type": "primary",
"updatedAt": "2022-08-01T20:03:28.483Z",
"vendorId": "vendor1",
"virtualCounters": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
},
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Inventory
Search for inventories
Search for inventories based on filter criteria.
POST
/
inventories
/
search
Search for inventories
curl --request POST \
--url https://api.fabric.inc/v3/inventories/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": [
"3173*",
"45213"
]
}
],
"sort": "-inventory.createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/inventories/search"
payload = {
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": ["3173*", "45213"]
}
],
"sort": "-inventory.createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [
{condition: 'EQ', field: 'inventory.sku', value: '*V3'},
{condition: 'IN', field: 'inventory.locationNumber', values: ['3173*', '45213']}
],
sort: '-inventory.createdAt'
})
};
fetch('https://api.fabric.inc/v3/inventories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/inventories/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'condition' => 'EQ',
'field' => 'inventory.sku',
'value' => '*V3'
],
[
'condition' => 'IN',
'field' => 'inventory.locationNumber',
'values' => [
'3173*',
'45213'
]
]
],
'sort' => '-inventory.createdAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/inventories/search"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/inventories/search")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/inventories/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"condition\": \"EQ\",\n \"field\": \"inventory.sku\",\n \"value\": \"*V3\"\n },\n {\n \"condition\": \"IN\",\n \"field\": \"inventory.locationNumber\",\n \"values\": [\n \"3173*\",\n \"45213\"\n ]\n }\n ],\n \"sort\": \"-inventory.createdAt\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"channelId": "channel_xyz",
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"createdAt": "2022-08-01T18:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"inventoryId": "723910d81723",
"isNoStock": false,
"itemId": 12345,
"leadTime": "5 days",
"locationNumber": 12345,
"lowStock": 10,
"networkCode": "ShipToHome",
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"sku": "SKU1",
"status": " IN_STOCK",
"type": "primary",
"updatedAt": "2022-08-01T20:03:28.483Z",
"vendorId": "vendor1",
"virtualCounters": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
},
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
application/json
Sample request to search inventory
Was this page helpful?
